#include <stdio.h>
#include <stdlib.h>

int main()
{
    long int n;
    scanf("%ld",&n);
    long int a[n];
    long int x;
    scanf("%ld",&x);
    long int min;
    long int max;
    int i;
    for(i=0;i<n;i++){
            scanf("%ld",&a[i]);
    }
    min=a[0];
    max=a[0];
    for(i=1;i<n;i++){
            if(a[i]<min){
                min=a[i];
            }
            if(a[i]>max){
                max=a[i];
            }
    }
    long int r1;
    long int r2;
    long int s;
    if((x>min)&&(x<max)){
        r1=abs(x-min);
        r2=abs(max-x);
        if(r1>=r2){
            s=2*r2+r1;
        } else{
            s=2*r1+r2;
        }

    }
    if(x>=max){
        s=abs(x-min);
    }
    if(x<=min){
        s=abs(max-x);
    }

   printf("%ld",s);

    return 0;
}